<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <html>

      <body>
        <!--estudiante-->
        <table border="1">
          <tr bgcolor="#9acd32">
            <th>Nombre</th>
            <th>Rut</th>
          </tr>
          <tr>
            <tr>
              <td>
                <xsl:value-of select="logica.reportes.ReporteAsistenciaYNotas/estudiante/nombre"/>
              </td>
              <td>
                <xsl:value-of select="logica.reportes.ReporteAsistenciaYNotas/estudiante/rut"/>
              </td>
            </tr>
          </tr>
        </table>
        <!--asistencia-->
        <table border="1">
          <tr bgcolor="#9acd32">
            <th>Fecha</th>
            <th>Presente</th>
          </tr>
          <tr>

            <xsl:for-each select="logica.reportes.ReporteAsistenciaYNotas/asistencia/Asistencia">
              <tr>
                <td>
                  <xsl:value-of select="dia"/>
                </td>
                <td>

                  <xsl:choose>

                    <xsl:when test="asistio = 'true'">
                      Si
                    </xsl:when>

                    <xsl:otherwise>
                      No
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:for-each>
          </tr>
        </table>
        <!--notas-->
        <table>
          <tr>

            <xsl:for-each select="logica.reportes.ReporteAsistenciaYNotas/notas/entry">
              <td>
                <table border="1">
                  <tr bgcolor="#9acd32">
                    <th>
                      <xsl:value-of select="Asignatura/nombre"/>
                    </th>
                  </tr>

                  <xsl:for-each select="list/Nota">
                    <tr>
                      <td>
                        <xsl:value-of select="valor"/>
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </td>
            </xsl:for-each>
          </tr>

        </table>
      </body>

    </html>
  </xsl:template>

</xsl:stylesheet>
